<script>
  import { createEventDispatcher } from 'svelte'
  let buttonClasses = "br3 near-black bg-washed-green"
  const dispatch = createEventDispatcher()
  function handleClick(ev) {
    const btn = ev.target
    dispatch('key', {
      key: btn.innerHTML.trim()
    })
  }
</script>
<style>
  button {
    width: 100%;
  }
</style>

<div>
  {#each [['1','2','3'],['4','5','6'],['7','8','9'],['0','00','.']] as row }
    <div>
      {#each row as column }
        <div class="fl w-third pa1">
          <button class="{buttonClasses}" on:click={handleClick}>
            {column}
          </button>
        </div>
      {/each}
    </div>
  {/each}
</div>

